Subject: Re: [Thunar-dev] Thunar : Date and folder size below the icons
From: jp willm <[email-masked]>
To: Alex <[email-masked]>
Date: Mon, 18 Sep 2017 19:35:40 +0200

Hello Alex,

Thank you for your research !

I see I am not the only one who would like to see the file size below 
the previews in icon view mode 8-)

Date and time would be welcome in this view mode.

Of course, you can attach our conversation in your additional info.

I will follow this discussion and comment it if necessary.

Einen schönen abend !

Salutations,

-- 
jp willm
http://perso.orange.fr/willms/index.html

Le 17/09/2017 à 23:03, Alex a écrit :
> Hi,
>
> I just learned that there already was some fix for 1.) in 2007, which 
> seems to be lost in the current version: 
> https://bugzilla.xfce.org/show_bug.cgi?id=3265
>
> Here the new bug I opened for 1.)
> https://bugzilla.xfce.org/show_bug.cgi?id=13867
>
>
> For 2.) I found this one:
> https://bugzilla.xfce.org/show_bug.cgi?id=13553
>
> Instead of opening a new one I would add more info to this bug and 
> attach our conversation, if you agree.
> Fell free to as well comment on these issues!
>
> Cheers,
> Alex
>
>
> On 16.09.2017 09:29, jp willm wrote:
>> Bonjour Alex,
>>
>>
>> Le 15/09/2017 à 22:26, Alex a écrit :
>>> Hi, sorry for the delay!
>>
>> There is no emergency :-)
>>
>>>
>>> Ok, thanks. Now I have a better picture on your requirements.
>>>
>>> I still would rather adept the detailed view, so that it can handle 
>>> your use-case than adding detailed-information on the icon-view 
>>> (because I think it's correct to only show icons in a view which is 
>>> named "icon-view" ;)
>>
>> I guess it is complicated to add date/time and size below the previews.
>> But, if other file browser has this possibility, it is probably 
>> because it corresponds to a request ;-)
>>
>>> .. let me propose the following two fixes:
>>>
>>> 1.) Add the possibility to display "time", not only "date" in the 
>>> detailed-view
>> IMHO it would be the priority !
>>
>>
>>> 2.) Add the possibility to have multiple rows in the detailed view, 
>>> so that you e.g. could configure preview+filesize+date+time * 3 rows
>>
>> A good compromise for me.
>>
>>>
>>> Implementing 1.) should not be that hard to do. Actually I am 
>>> surprised that "time" is missing.
>>
>> I'm proud to have reported it 8-)
>>
>>>
>>> However 2.)  would be a bigger deal. Not sure yet how sorting should 
>>> look like for multiple rows. And for sure that's something I cannot 
>>> decide alone.
>>>
>>> If that would be a possible solution for you, I would open 2 feature 
>>> requests in bugzilla  ... but I have to warn you, probably the 
>>> request for 2.) will stay open for a long time because xfce lacks 
>>> developers and there are already alot of open bugs and feature 
>>> requests on thunar ... not to mention that the gtk3 port first needs 
>>> to be finished :F
>>>
>>> So should I open these feature requests ?
>>
>> I think YES !
>>
>> Thanks for the time you have given "my" problem.
>>
>>
>> Salutations,
>> -- 
>> jp willm
>> http://perso.orange.fr/willms/index.html
>>
>>
>>>
>>> Cheers,
>>> Alex
>>>
>>>
>>>
>>> On 13.09.2017 18:21, jp willm wrote:
>>>> Hello,
>>>>
>>>> Le 12/09/2017 à 21:51, Alex a écrit :
>>>>> I am still not sure what would be the advantage of having 
>>>>> date/size below the preview.
>>>> If you have many types of files (pictures, pdf, odf, text etc.) in 
>>>> your folders and you will have a quick overview, it important to 
>>>> see date and size below them.
>>>>
>>>> For example : you prepare a document (flyer, poster, mail etc.) in 
>>>> witch you will insert a picture. It is more than useful to see if 
>>>> the pictures you look for are big enough (the file size shows you 
>>>> instantly if yes or no). you don't need to go in the properties 
>>>> (waste of time).
>>>>>
>>>>> To be honest I think it would look not that nice and ofc steal 
>>>>> alot of space ... not to mention that it would be very difficult 
>>>>> to implement. Of course it should be optional. So sorry if I 
>>>>> further punish you .. to implement something like that, I first 
>>>>> need some real good arguments.
>>>>>
>>>>> So when you are searching for a picture based on it's preview, why 
>>>>> would it help you to have date and file-size below the preview ?
>>>>
>>>> An other example : you have created today a few variants of the 
>>>> same picture or drawing and you search for the more recent : if you 
>>>> can see the date and time below the previews, you quickly find the 
>>>> last created or the one you have saved at 11:55
>>>>
>>>> In detailed-view the date and time does not appears, but in the 
>>>> "Modified" column you see only "today" in front of your recent files...
>>>>
>>>>>
>>>>> Do you need date/size information only after you found the right 
>>>>> picture ? Than I would say right-click --> properties (or the 
>>>>> related shortcut-key) should be sufficient.
>>>>
>>>> Waste of time for me :-/
>>>>>
>>>>> If you need date/size info for the search itself, I again would 
>>>>> recommend you the detailed-view, which allows to sort the pictures 
>>>>> by date or by size.
>>>> No date and time in front of the recent files (only the mention 
>>>> "today") ; not enough previews.
>>>>
>>>>>
>>>>> If all that is not sufficient, maybe a file-browser is just not 
>>>>> the right tool for the job you want to do. I use "geequi" to 
>>>>> display and sort my pictures.
>>>> I can not in my real world switch between a file browser and a 
>>>> picture viewer like Ristretto.
>>>>
>>>>> It displays previews with date and size and allow you to browse 
>>>>> through folder-structures. Please take a try for it and let me 
>>>>> know if it possibly fulfills your needs !
>>>> I have tested all the possibilities, but for the type of job I have 
>>>> to do, the icon/preview mode is the fastest, provided the date/time 
>>>> and file size are below the thumbs.
>>>>
>>>> Thank you for looking into my problem 8-)
>>>>
>>>> Salutations,
>>>> -- 
>>>> jp willm
>>>> http://perso.orange.fr/willms/index.html
>>>>
>>>>
>>>>
>>>>
>>>>>
>>>>>
>>>>>
>>>>>
>>>>> On 11.09.2017 17:40, jp willm wrote:
>>>>>> Hi Alex,
>>>>>>
>>>>>> Le 10/09/2017 à 22:43, Alex a écrit :
>>>>>>> Hi,
>>>>>>>
>>>>>>> I am still a bit puzzled. Did you take a try for the detailed view ?
>>>>>> Yes of course, but I have many different files in my folders so 
>>>>>> it goes faster for me when many thumbnails are displayed on the 
>>>>>> screen.
>>>>>>
>>>>>>>
>>>>>>> Because for me it provides everything you requested ( a preview, 
>>>>>>> the last modification date, and the file-size )
>>>>>>> Please take a look at the attached screenshot, an let me know if 
>>>>>>> your detailed view looks different / if you miss something there.
>>>>>>> In the "view" menu you as well can
>>>>>>> - select columns to be displayed
>>>>>>> - increase the view-size to have bigger reviews off the files, 
>>>>>>> if that should be needed
>>>>>> Ok thanks for this example.
>>>>>> As I have many files in the folders, it goes easier and faster to 
>>>>>> search in the icon/preview mode, provided that date and file size 
>>>>>> are displayed below the thumbs.
>>>>>>
>>>>>> Please see attached screenshot for an example.
>>>>>>
>>>>>> Salutations,
>>>>>> -- 
>>>>>> jp willm
>>>>>> http://perso.orange.fr/willms/index.html
>>>>>>
>>>>>>
>>>>>>>
>>>>>>> On 10.09.2017 08:48, jp willm wrote:
>>>>>>>> Hello,
>>>>>>>>
>>>>>>>> Thank you for your answer !
>>>>>>>>
>>>>>>>>
>>>>>>>> For my job, I absolutely need the icon/preview mode.
>>>>>>>>
>>>>>>>> So, if I had date and file size below the icons/previews, it 
>>>>>>>> would be great 8-)
>>>>>>>>
>>>>>>>> Thank you for your hard work, especially the portage from gtk2 
>>>>>>>> to gtk3 !
>>>>>>>>
>>>>>>>> Cordialement,
>>>>>>>>
>>>>>>>> -- 
>>>>>>>> jp willm
>>>>>>>> http://perso.orange.fr/willms/index.html
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> Le 09/09/2017 à 21:25, Alex a écrit :
>>>>>>>>> Hi,
>>>>>>>>>
>>>>>>>>> not sure I get your request right.
>>>>>>>>> In my opinion the icon-view does not provide any good place to 
>>>>>>>>> display
>>>>>>>>> such information. Why you dont just use the detailed-view 
>>>>>>>>> instead, which
>>>>>>>>> provides this info ?
>>>>>>>>>
>>>>>>>>> Regarding the folder-size: Do you refer to the recursive size 
>>>>>>>>> of a folder ?
>>>>>>>>> If so, there is already an open feature request for that:
>>>>>>>>> https://bugzilla.xfce.org/show_bug.cgi?id=11524
>>>>>>>>>
>>>>>>>>> In any case, you will need to be patient. Currently no new 
>>>>>>>>> features are
>>>>>>>>> added to xfce components, since porting all components from 
>>>>>>>>> gtk2 to gtk3
>>>>>>>>> has priority for the next release.
>>>>>>>>>
>>>>>>>>> Cheers,
>>>>>>>>> Alex
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> On 09.09.2017 16:46, jp willm wrote:
>>>>>>>>>> Bonjour,
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Since many years, I hope to have the possibility one day, to 
>>>>>>>>>> display
>>>>>>>>>> date and folder size below the icons in the "icon view" mode 
>>>>>>>>>> in Thunar.
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> This feature would be really useful for many people in the 
>>>>>>>>>> real life...
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Thank you in advance if you can implement this possibility in 
>>>>>>>>>> one of
>>>>>>>>>> the best file browser : Thunar.
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Sincères salutations et remerciements,
>>>>>>>>>>
>>>>>>>>>
>>>>>>>>
>>>>>>>
>>>>>>
>>>>>
>>>>
>>>
>>
>